NetBSD Problem Report #48456

From www@NetBSD.org  Wed Dec 18 12:36:57 2013
Return-Path: <www@NetBSD.org>
Received: from mail.netbsd.org (mail.netbsd.org [149.20.53.66])
	(using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(Client CN "mail.NetBSD.org", Issuer "Postmaster NetBSD.org" (not verified))
	by mollari.NetBSD.org (Postfix) with ESMTPS id 15440A61B7
	for <gnats-bugs@gnats.NetBSD.org>; Wed, 18 Dec 2013 12:36:57 +0000 (UTC)
Message-Id: <20131218123655.8031AA6463@mollari.NetBSD.org>
Date: Wed, 18 Dec 2013 12:36:55 +0000 (UTC)
From: adzap@netbsd.org.flonet.net
Reply-To: adzap@netbsd.org.flonet.net
To: gnats-bugs@NetBSD.org
Subject: [www/adzap] needs flush.pl (removed from lang/perl5-5.16.0+) 
X-Send-Pr-Version: www-1.0

>Number:         48456
>Category:       pkg
>Synopsis:       [www/adzap] needs flush.pl (removed from lang/perl5-5.16.0+)
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    simonb
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Wed Dec 18 12:40:00 +0000 2013
>Last-Modified:  Thu Dec 19 01:25:00 +0000 2013
>Originator:     F. Steinel
>Release:        
>Organization:
private
>Environment:
>Description:
perl5 flush.pl:
This library is no longer being maintained, and is included for backward compatibility with Perl 4 programs which may require it.
This legacy library is deprecated and will be removed in a future release of perl.

Error message:
"Can't locate flush.pl in @INC"

https://bugs.gentoo.org/show_bug.cgi?id=425196
>How-To-Repeat:

>Fix:
Convert adzapper-20110915 to use IO::Handle
https://bugs.gentoo.org/attachment.cgi?id=325354

>Release-Note:

>Audit-Trail:

Responsible-Changed-From-To: pkg-manager->simonb
Responsible-Changed-By: wiz@NetBSD.org
Responsible-Changed-When: Wed, 18 Dec 2013 18:39:58 +0000
Responsible-Changed-Why:
Over to maintainer.


From: "OBATA Akio" <obache@netbsd.org>
To: gnats-bugs@netbsd.org
Cc: 
Subject: Re: pkg/48456: [www/adzap] needs flush.pl (removed from
 lang/perl5-5.16.0+) 
Date: Thu, 19 Dec 2013 10:22:22 +0900

 On Wed, 18 Dec 2013 21:40:00 +0900, <adzap@netbsd.org.flonet.net> wrote:

 >> Description:
 > perl5 flush.pl:
 > This library is no longer being maintained, and is included for backward compatibility with Perl 4 programs which may require it.
 > This legacy library is deprecated and will be removed in a future release of perl.
 >
 > Error message:
 > "Can't locate flush.pl in @INC"

 Such deprecated libraries are in devel/p5-Perl4-CoreLibs.

 -- 
 OBATA Akio / obache@NetBSD.org

>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2007 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.